Package org.codehaus.groovy.binding

## Class ClosureTriggerBinding

- java.lang.Object
- - org.codehaus.groovy.binding.ClosureTriggerBinding

- All Implemented Interfaces:
    `SourceBinding`, `TriggerBinding`

      @Deprecated
      public class ClosureTriggerBinding
      extends Object
      implements TriggerBinding, SourceBinding

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClosureTriggerBinding​(Map<String,​TriggerBinding> syntheticBindings)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FullBinding` | `createBinding​(SourceBinding source, TargetBinding target)` | Deprecated.
    `Closure` | `getClosure()` | Deprecated.
    `Object` | `getSourceValue()` | Deprecated.
    `void` | `setClosure​(Closure closure)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClosureTriggerBinding

          public ClosureTriggerBinding​(Map<String,​TriggerBinding> syntheticBindings)

      Deprecated.

  - ### Method Detail

    - #### getClosure

          public Closure getClosure()

      Deprecated.

    - #### setClosure

          public void setClosure​(Closure closure)

      Deprecated.

    - #### createBinding

          public FullBinding createBinding​(SourceBinding source,
                                           TargetBinding target)

      Deprecated.
      Specified by:
        `createBinding` in interface `TriggerBinding`

    - #### getSourceValue

          public Object getSourceValue()

      Deprecated.
      Specified by:
        `getSourceValue` in interface `SourceBinding`